BasicComboPopup.InvocationKeyHandler (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicComboPopup, class: InvocationKeyHandler
Keywords: javax.swing.plaf.basic.BasicComboPopup.InvocationKeyHandler class

# Class BasicComboPopup.InvocationKeyHandler

java.lang.Object
java.awt.event.KeyAdapter
javax.swing.plaf.basic.BasicComboPopup.InvocationKeyHandler

All Implemented Interfaces:
  `KeyListener, EventListener`

Enclosing class:
  `BasicComboPopup`

public class BasicComboPopup.InvocationKeyHandler extends KeyAdapter
As of Java 2 platform v 1.4, this class is now obsolete and is only included for backwards API compatibility. Do not instantiate or subclass.

All the functionality of this class has been included in BasicComboBoxUI ActionMap/InputMap methods.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvocationKeyHandler()`
  Constructs an `InvocationKeyHandler`.

- ## Method Summary

  ### Methods declared in class KeyAdapter

  `keyPressed, keyReleased, keyTyped`
  Modifier and Type
  Method
  Description
  `void`
  `keyPressed(KeyEvent e)`
  Invoked when a key has been pressed.
  `void`
  `keyReleased(KeyEvent e)`
  Invoked when a key has been released.
  `void`
  `keyTyped(KeyEvent e)`
  Invoked when a key has been typed.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### InvocationKeyHandler

    public InvocationKeyHandler()
    Constructs an `InvocationKeyHandler`.